Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 615128 - Review Request: cjkuni-uming-fonts - Chinese Unicode TrueType font in Ming face
Review Request: cjkuni-uming-fonts - Chinese Unicode TrueType font in Ming face
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-15 22:02 EDT by Peng Wu
Modified: 2010-09-01 01:52 EDT (History)
2 users (show)

See Also:
Fixed In Version: cjkuni-uming-fonts-0.2.20080216.1-45.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-01 01:52:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peng Wu 2010-07-15 22:02:11 EDT
Spec URL: http://pwu.fedorapeople.org/cjkuni-uming-fonts/cjkuni-uming-fonts.spec
SRPM URL: http://pwu.fedorapeople.org/cjkuni-uming-fonts/cjkuni-uming-fonts-0.2.20080216.1-43.fc13.src.rpm
Description: 
CJK Unifonts are Unicode TrueType fonts derived from original fonts made available by Arphic Technology under "Arphic Public License" and extended by the CJK Unifonts project.
Comment 1 Parag AN(पराग) 2010-07-16 01:17:10 EDT
I see current cjkuni-fonts package in fedora also installs -ghostscript. Is there any reason to drop it?
Comment 2 Peng Wu 2010-07-16 02:17:04 EDT
Sorry, open review request for cjkuni-fonts-ghostscript lately.

For -ghostscript sub-package, see:
Bug 615192 - Review Request: cjkuni-fonts-ghostscript -Chinese Unicode TrueType font ghostscript files
Comment 4 Parag AN(पराग) 2010-07-19 04:58:17 EDT
few more fixes this package needs
1) you don't need obsoletes for cjkunifonts-uming , we should keep them for 2 releases and as I see last rename happened around F11 development cycle.

2) build.log showed 
warning: File listed twice: /etc/fonts/conf.d/65-0-ttf-arphic-uming.conf
warning: File listed twice: /usr/share/fontconfig/conf.avail/65-0-ttf-arphic-uming.conf

This happened as those entries are written manually which are actually part of %_font_pkg macro

3) Drop INSTALL file which is not needed as we install this package using yum.
 Drop zero-length file TODO

4) I see there are 3 fontconfig files but only one is installed.
Comment 5 Parag AN(पराग) 2010-07-19 05:10:08 EDT
4) oops my eyes missed that you used wildcard character "*" . So all 3 fontconfigs are getting installed.

so here is the fix. Use following 

%_font_pkg -f *.conf *.ttc

and remove following 2 lines
%{_fontconfig_templatedir}/*-ttf-arphic-uming*.conf
%{_fontconfig_confdir}/*-ttf-arphic-uming*.conf
Comment 6 Peng Wu 2010-07-20 03:21:51 EDT
The above changes has been merged into new cjkuni-uming-fonts.spec.

New rpm spec for reviewing:
Spec URL:
http://pwu.fedorapeople.org/cjkuni-uming-fonts/cjkuni-uming-fonts.spec
SRPM URL:
http://pwu.fedorapeople.org/cjkuni-uming-fonts/cjkuni-uming-fonts-0.2.20080216.1-45.fc13.src.rpm
Comment 7 Parag AN(पराग) 2010-07-20 05:21:25 EDT
Review:
+ package builds in mock (rawhide i686).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=2330459
+ rpmlint output for SRPM and for RPM.
cjkuni-uming-fonts.src: W: no-cleaning-of-buildroot %install
cjkuni-uming-fonts.src: W: no-cleaning-of-buildroot %clean
cjkuni-uming-fonts.src: W: no-buildroot-tag
cjkuni-uming-fonts.src: W: no-%clean-section
cjkuni-uming-fonts.noarch: W: obsolete-not-provided cjkuni-fonts-common
2 packages and 0 specfiles checked; 0 errors, 5 warnings.
==> Ok for this package
+ source files match upstream url (sha1sum)
d6b11cc84142364c66d17a0f02fdffbc1b98cedf  ttf-arphic-uming_0.2.20080216.1.orig.tar.gz
d6b11cc84142364c66d17a0f02fdffbc1b98cedf  ttf-arphic-uming_0.2.20080216.1.orig.tar.gz.srpm

+ package meets naming guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ package installed properly.
+ Macro use appears rather consistent.
+ no .pc file present.
+ no -devel subpackage
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ follows fonts packaging guidelines.

APPROVED.
Comment 8 Peng Wu 2010-07-27 02:45:53 EDT
New Package CVS Request
=======================
Package Name:  cjkuni-uming-fonts
Short Description: Chinese Unicode TrueType font in Ming face
Owners: pwu
Branches: F-13 F-14
InitialCC: petersen i18n-team
Comment 9 Kevin Fenzi 2010-07-30 16:28:02 EDT
CVS done (by process-cvs-requests.py).
Comment 10 Fedora Update System 2010-08-31 00:53:09 EDT
cjkuni-uming-fonts-0.2.20080216.1-45.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cjkuni-uming-fonts-0.2.20080216.1-45.fc14
Comment 11 Fedora Update System 2010-08-31 16:19:09 EDT
cjkuni-uming-fonts-0.2.20080216.1-45.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cjkuni-uming-fonts'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/cjkuni-uming-fonts-0.2.20080216.1-45.fc14
Comment 12 Fedora Update System 2010-09-01 01:52:37 EDT
cjkuni-uming-fonts-0.2.20080216.1-45.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.